-- Label parameters
-- Copyright (C) 2004, Eagle Dynamics.

local IS_DOT 		 = labels and labels ==  3
local IS_ABBREVIATED = labels and labels ==  2

AirOn			 		= true
GroundOn 		 		= true
NavyOn		 	 		= true
WeaponOn 		 		= true
labels_format_version 	= 1 -- labels format vesrion

local NAME                 = "%N"
local NAME_DISTANCE_PLAYER = "%N%n %D%n %P"
local NAME_DISTANCE        = "%N%n %D"
local DISTANCE             = "%n %D "
local PLAYER               = " %D - %P "
local EMPTY                = {"", "LeftBottom", 1, 1, 0, 0}

font_properties =  {"DejaVuLGCSans.ttf", 13, 0, 0, 2}

local near_symbol        = "⌜" --U+231C
local aircraft_symbol    = "˄" --U+02C4
local ground_symbol      = "ˉ" --U+02C9
local navy_symbol        = "ʷ" --U+02B7
local weapon_symbol_near = "*" --U+002A
local weapon_symbol_far  = "ˈ" --U+02C8
local function dot_symbol(blending, opacity)
    return {"˙","CenterCenter", blending or 1.0 , opacity  or 0.1} --U+02D9
end

local function big_dot_symbol(blending, opacity)
    return {"·","CenterCenter", blending or 1.0 , opacity  or 0.1} --U+00B7
end

if IS_DOT then
	-- Just coloured dots of various sizes
	AirFormat = {
		[305]	= EMPTY,
		[9260]	= big_dot_symbol(0,0), -- 5nm
		[27780]	= dot_symbol(0,0),     -- 15nm
	}

	GroundFormat = {
		[305]	= EMPTY,
		[3048]	= big_dot_symbol(0,0), -- 10,000'
		[18520]	= dot_symbol(0,0),     -- 10nm
	}

	NavyFormat = {
		[1852]	= EMPTY,               -- 1nm
		[18520]	= big_dot_symbol(0,0), -- 10nm
		[55560]	= dot_symbol(0,0),     -- 30nm
	}

	WeaponFormat = {
		[305]	= EMPTY,
		[3048]	= big_dot_symbol(0,0), -- 10,000'
		[18520]	= dot_symbol(0,0),     -- 10nm
	}

	ColorAliesSide   = {192, 96, 48}
	ColorEnemiesSide = {48, 96, 192}
	ColorUnknown     = {48, 48, 48}

	ShadowColorNeutralSide 	= {0,0,0,0}
	ShadowColorAliesSide	= {0,0,0,0}
	ShadowColorEnemiesSide 	= {0,0,0,0}
	ShadowColorUnknown 		= {0,0,0,0}

	BlurColorNeutralSide 	= {255,255,255,0  }
	BlurColorAliesSide		= {48 ,0  ,0  ,0  }
	BlurColorEnemiesSide	= {0  ,0  ,48 ,0  }
	BlurColorUnknown		= {48 ,48 ,48 ,128}

elseif IS_ABBREVIATED then 
	-- Use GAW-style labels
	local aircraft_symbol_near  =  "˄" --U+02C4
	local aircraft_symbol_far   =  "˄" --U+02C4
	local ground_symbol_near    = "ˉ"  --U+02C9
	local ground_symbol_far     = "ˉ"  --U+02C9
	local navy_symbol_near      = "˜"  --U+02DC
	local navy_symbol_far       = "˜"  --U+02DC
	local weapon_symbol_near    = "ˈ"  --U+02C8
	local weapon_symbol_far     = "ˈ"  --U+02C8

	font_properties =  {"DejaVuLGCSans.ttf", 13, 0, 0, 0}

	AirFormat = {
	[10]	= EMPTY,
	[5000]	= {aircraft_symbol_near	, "LeftBottom"	,0.75	, 0.7	, -3	, 0},
	[10000]	= {aircraft_symbol_near	, "LeftBottom"	,0.75	, 0.5	, -3	, 0},
	[20000]	= {aircraft_symbol_far 	, "LeftBottom"	,0.25	, 0.25	, -3	, 0},
	[30000]	= dot_symbol(0,0.1),
	}

	GroundFormat = {
	[10]	= EMPTY,
	[5000]	= {ground_symbol_near		,"LeftBottom"	,0.75	, 0.7	, -3	, 0},
	[10000]	= {ground_symbol_far		,"LeftBottom"	,0.75	, 0.5	, -3	, 0},
	[20000]	=  dot_symbol(0.75, 0.1),
	}

	NavyFormat = {
	[10]	= EMPTY,
	[10000]	= {navy_symbol_near				,"LeftBottom"	,0.75	, 0.7	, -3	, 0},
	[20000]	= {navy_symbol_far 				,"LeftBottom"	,0.75	, 0.5	, -3	, 0},
	[40000]	= dot_symbol(0.75,0.1),
	}

	WeaponFormat = {
	[5]	    = EMPTY,
	[5000]	= {weapon_symbol_near					,"LeftBottom"	,0.75	, 0.7	, -3	, 0},
	[10000]	= {weapon_symbol_far					,"LeftBottom"	,0.75	, 0.5	, -3	, 0},
	[20000]	= {weapon_symbol_far					,"LeftBottom"	,0.25	, 0.25	, -3	, 0},
	}

	ColorAliesSide   = {50, 50, 50}
	ColorEnemiesSide = {50, 50, 50}
	ColorUnknown     = {50, 50, 50}

	ShadowColorNeutralSide 	= {0,0,0,0}
	ShadowColorAliesSide	= {0,0,0,0}
	ShadowColorEnemiesSide 	= {0,0,0,0}
	ShadowColorUnknown 		= {0,0,0,0}

	BlurColorNeutralSide 	= {50 ,50 ,50 ,255}
	BlurColorAliesSide		= {50 ,50 ,50 ,255}
	BlurColorEnemiesSide	= {50 ,50 ,50 ,255}
	BlurColorUnknown		= {50 ,50 ,50 ,255}

else
	-- Classic Even Lamer style labels
	AirFormat = {
		[305]	= EMPTY,
		[5556]	= {near_symbol..PLAYER, 		"LeftBottom"	,1		, 0, 2, -2}, -- 3nm
		[9260]	= {aircraft_symbol..DISTANCE,	"CenterBottom"	,0.75	, 0},        -- 5nm
		[18520]	= {aircraft_symbol, 			"CenterBottom"	,0.25	, 0},        -- 10nm
		[27780]	= dot_symbol(0,0),                                                   -- 15nm
	}

	GroundFormat = {
		[305]	= EMPTY,
		[3048]	= {ground_symbol,				"CenterBottom"	,1		, 0},	-- 10,000'
		[9260]	= {ground_symbol,				"CenterBottom"	,0.75	, 0},	-- 5nm
		[18520]	= dot_symbol(0.5, 0),											-- 10nm
	}

	NavyFormat = {
		[1852]	= EMPTY,
		[3048]	= {navy_symbol,					"CenterBottom"	,1		, 0},	-- 10,000'
		[9260]	= {navy_symbol,					"CenterBottom"	,0.75	, 0},	-- 5nm
		[18520]	= big_dot_symbol(0,0),                                          -- 10nm
		[55560]	= dot_symbol(0.5,0),											-- 30nm
	}

	WeaponFormat = {
		[100]	    = EMPTY,
		[3048]	= {weapon_symbol_near,			"CenterBottom"	,1		, 0},	-- 10,000'
		[9260]	= {weapon_symbol_far,			"CenterBottom"	,0.75	, 0},	-- 5nm
		[18520]	= {weapon_symbol_far,			"CenterBottom"	,0.25	, 0},	-- 10nm
	}

	ColorAliesSide   = {192, 96, 48}
	ColorEnemiesSide = {48, 96, 192}
	ColorUnknown     = {48, 48, 48}

	ShadowColorNeutralSide 	= {192,192,192,32 }
	ShadowColorAliesSide	= {96 ,48 ,24 ,32 }
	ShadowColorEnemiesSide 	= {24 ,48 ,96 ,32 }
	ShadowColorUnknown 		= {25 ,25 ,25 ,32 }

	BlurColorNeutralSide 	= {255,255,255,0  }
	BlurColorAliesSide		= {48 ,0  ,0  ,0  }
	BlurColorEnemiesSide	= {0  ,0  ,48 ,0  }
	BlurColorUnknown		= {48 ,48 ,48 ,128}

end

PointFormat = { 
[1e10]	= {"%N%n%D dot", "LeftBottom"},
}